> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a deal

> The _update a deal_ endpoint updates an existing deal in HubSpot using the dealId and JSON-specified properties in the request body. What's a use case for this endpoint? You want to update a deal with a tracking number. To do this, you need to integrate HubSpot with your shipping software, which stores tracking numbers. Once the deal moves to a closed-won or shipping stage, the integration will use the _update a deal_ endpoint to add a tracking number property to the deal.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v1/crm-deals-v1.json PUT /deals/v1/deal/{dealId}
openapi: 3.0.0
info:
  title: CRM Deals API v1
  version: 1.0.0
  description: >-
    Use the deals API to create and manage CRM records that represent
    transactions with contacts and/or companies. Deals progress through pipeline
    stages to reflect whether the transaction has been completed, is active, or
    has otherwise been lost.
  x-hubspot-introduction: >-
    Use the deals API to create and manage CRM records that represent
    transactions with contacts and/or companies. Deals progress through pipeline
    stages to reflect whether the transaction has been completed, is active, or
    has otherwise been lost.
  x-hubspot-api-use-case: >-
    When a sales rep is negotiating a potential purchase with a prospective
    customer, create a deal record to track the negotiation process. When the
    customer later makes their purchase, you can update the deal to a closed
    stage.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /deals/v1/deal/{dealId}:
    put:
      summary: Update a deal
      description: >-
        The _update a deal_ endpoint updates an existing deal in HubSpot using
        the dealId and JSON-specified properties in the request body. What's a
        use case for this endpoint? You want to update a deal with a tracking
        number. To do this, you need to integrate HubSpot with your shipping
        software, which stores tracking numbers. Once the deal moves to a
        closed-won or shipping stage, the integration will use the _update a
        deal_ endpoint to add a tracking number property to the deal.
      operationId: putdealsv1dealdealId
      parameters:
        - name: dealId
          in: path
          required: true
          description: Unique identifier for a particular deal.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                properties:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      value:
                        type: string
      responses:
        '200':
          description: Successful response - Deal updated successfully
          content:
            application/json:
              schema:
                type: object
      security:
        - oauth2:
            - crm.objects.deals.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.deals.write
        - private_apps_legacy: []
components: {}

````